Subject: [os2genau_digest] No. 254
From: "Digest" <newsatos2site dot com>
To: "OS/2GenAu Digest" <deadmail>
Date: Wed, 23 Jan 2002 01:00:00 +1100 (EDT)

Date:- 23 January 2002

1================================================

Date: Mon, 21 Jan 2002 08:28:25 -0500
From: Chris_neeson <Chris_Neesonatcompuserve dot com>
Subject: Re: [os2genau] Tekram controller, IDE hdd  > 528M + SCSI hdd

Ed replied some things on the topic.

1. Problem Scope

   What I have is several Tekram controllers

   - some with the 'early' BIOS/firmware,
     which allows writes immediately through the controller's
     cached SIMMS onto disk

   - some with the later 'Green Cache' firmware, which has no such option=

     ( =3D> later ain't greater! )

   Also, the OS2 drivers for the controllers ( OS2_32.ADD )
   versions 1, 1.1, 1.2 and 1.3
   ( the 'later' drivers seem to have an option for LBA support,
     I'm not sure what its for
     - there isn't an LBA setting in any of the BIOS/firmware versions )

   Also various recent OS2 DASD driver packages ( NEWDASD etc ),
   as well as drivers in OS2 v2.1, v3, v3Connect, and v4.

   Also, some of Dani's software bundles.

   Also, hard disks less than, and greater then 528M.

   Also, of course, some SCSI adapters and SCSI hard disks less than,
   and greater than 528M.

   Also, a good supply of tea.

 =

2. Failure 'Quality'.

> You say that it fails with "some" of these controllers,

   OS2 fails to boot satisfactorily with ALL of these controllers AND
   a IDE disk > 528M AND a SCSI hard disk installed.

   Its only the extent of the failure that varies with the controllers
   ( =3D> tossing out a particular controller is not the answer,
        although two of my problem elimination steps are
        to try SCSI controllers from a different manufacturer,
        and a different motherboard slot type
        - neither of which should matter since the hardware combination
          works fine in ALL circumstances with DOS/Win3.1x ).
 =

3. Replace Older hardware?

> Sometimes it's simply cheaper and easier to scrap the
> old cards and use the latest (and normally much cheaper)
> cards and technology - save's getting grey hair before
> its time as well !

   ( Sorry Ed, I've learnt that changing the entire system is no
     guarantee of a solution
     - what you usually get is a brand new set of problems!
     - 1st learnt on IBM mainframes, still relevant )

   ALL of my hardware is 'older'!

   There shouldn't be compatibility issues with Warp Connect at FP 35,
   which is what I'm trying to implement on this hardware combination.

   ( Warp Connect, and all the hardware, are the same vintage,
     SO really, grabbing the latest OS2 DASD drivers - IBM or DANI's -
     are low probability solutions,
     although I use Warp 4 for debugging,
     even though I've tried IBM's latest drivers - all unsuccessful so fa=
r!
).

   Replacing my controllers for newer ones would most probably introduce
   different compatibility issues ( been there already with 'Promise'
   'controllers' ).

   Besides, buying new controllers with onboard cache SIMM slots and
   supporting firmware would be beyond my bank account
   ( that's corporate server territory ),
   and would require replacing my motherboards,
   and their cases,
   and recustomising my entire OS2 installation etc etc ).

   Besides which, also, if the controllers work in ALL circumstances with=

   DOS/Win3.1x, and MOST circumstances with OS2 ( so far ),
   it probably isn't a controller issue.

   ( I was hoping that someone would say something like

     'Oh yes! I remember, Tekram cached IDE controllers and OS2!
      Press the starter key counterclockwise,
      put your little finger on the firmware EPROM,
      throw some fairy dust on the fifth parameter,
      and it will work every time'. )

    Of course,  if, at the end od testing and experimentation, it turns o=
ut
that
    IBM haven't supported something they should have,
    or used ti support,
    then the answer would be for IBM to fix it
    ( NOT FOR ME TO SPEND MORE MONEY ON DIFFERENT HARDWARE! )

4. The hair.

   Sad, but the colour is gone.

   I'm thankful for the quantity that's left.

5. Rehash of Track Remap and LBA - to the extent I understand it.

> LBA was what I was thinking about - so track
> remap is a Tekram specific technology implemented
> directly on their controller card, at a hardware
> level.

   Track Remap isn't particularly Tekram specific.

   Track Remap is a CONCEPT used by hardware and software
   manufacturers
   ( eg Tekram BIOS/firmware and Ontrak's Disk Manager software ).

   But, as I wrote, the implementations aren't necessarily the same
   ( though there appears to have been cooperation between manufacturers
     for the cached IDE controllers - if you download the OS2 drivers for=

     the Buslogic adapters - supported by Mylex, now an IBM company! -
     you get the 'Tekram' drivers.
     The online manuals describe identical BIOS Setup options, too! )

   Promise used a 'proprietary method' which they don't reveal in the
   documentation for their cached VLB IDE controller
   - might be Track Remap, might be LBA, might be something else.

   ( LBA is also a CONCEPT, often, but not always, implemented the
     same way by different manufacturers ).

   And then there's something completely different,
   some disk drives include some sort of LBA/remapping in firmware in the=

   drive circuit
   ( I have a WDC Caviar 850M hdd which defies all efforts to apply
     Disk Mgr, or be Track Remapped by a cached controller,
     but which - left to its own firmware on a brainless controller -
     quite happily provides its entire 'surface' to operating systems ).

------------- Ed emailed ------------------
 =

LBA was what I was thinking about - so track
remap is a Tekram specific technology implemented
directly on their controller card, at a hardware
level. That should be OK, so we're back to driver
compatability issues. I really thought the latest
Dani drivers would be the answer. =

You say that it fails with "some" of these controllers,
so you have several machines with Tekram controllers =

in them ?  Perhaps it'd be worth testing with the latest
drivers to see which ones work and which not. You may
only need to discard one card.

Using older style hardware can often be a problem,
compatability with newer components isn't always so easy.
Sometimes it's simply cheaper and easier to scrap the
old cards and use the latest (and normally much cheaper)
cards and technology - save's getting grey hair before
its time as well !

Cheers/2

Ed.

2==============================================

Date: Tue, 22 Jan 2002 07:32:42 +1100
From: Ed Durrant <edurrantatbigpond dot net dot au>
Subject: Re: [os2genau] If the trumpet gives an uncertain sound, who will prepare  for battle? (Long post)

On the ease of support tack, I think we should not forget the
WSoD version of OS/2 Warp 4 (yes it is still being updated as well).

I think this product gets lost in the "hobby" OS/2 community because
it needs a server to drive it, but in a commercial (even SOHO)
environment, it makes a LOT of sense, especially for less experienced
users.

In short WorkSpace On Demand is OS/2's Thin-Client architecture. OS/2
Warp Server for e-Business and WSoD on the server and NOTHING on the
client PCs which can be disked or diskless. The client can have either
OS/2 Warp 4 or Windoze (NT, W95/98/ME), as they please.

Typical user worries / problems and how to solve in a WSoD environment:

I don't know how to save my data 
   - User doesn't need to as all data is on the server  

I can't understand how to update or add applications
   - User doesn't need to as all applications are on the server

I'm afraid of viruses did I do something wrong ?
   - Users shouldn't worry about virus control, it's all taken care of
     on the central server.
 
My (Windoze) application has hung, what do I do
   - Turn the PC off and on again.

I've changed something now all the colours/fonts are wrong
   - Turn the PC off and on again.

I don't understand this shutdown thing how do I stop my computer ?
   - Turn the PC off.

What's all this startup logon stuff? How do I start my computer ?
   - Turn the PC on.

Management want the user not to waste time with non-work related 
programs or have them add files / programs from home (possibly with
viruses).
   - Give them a WSoD locked desktop with only the business apps on it
     and disable floppy/CD.

A new program has come in and we need to "distribute" it to 500 users
   - Install it on the server and send out a broadcast message to tell
     the users to press refresh or wait until the next time they restart
     the PC.

That same new program has a bug, we must remove it immediately
   - Disable it on the server and add a small message in its place to
     inform the users the problem is being worked on.

The company does not have a high budget for IS staff and certainly cant
afford on-site IS staff at the remote locations
   - List the PC id's on the server with the required configuration, 
     send the (blank) PCs or network stations out to the remote
     locations and tell the user to plug it in and turn it on. Finished!

Do any of you on the List run Workspace On-Demand or Serenity Systems
Wise-Manager software ??

Cheers/2

Ed.

John Angelico wrote:
> 
> Greetings to all on the Australian OS/2 list.
> 
> We have to forgive him for thinking that Linux has all the advantages
> needed, but the bloke makes an important point.
> 
> The main reason (apart from herd mentality) that people stay with
> Windows despite its OBVIOUS failings in their terms, is that WHEN
> (not if) something goes wrong, there is usually someone close by who
> knows how to fix it - at least enough for them to get through the
> day. Thus they are comfortable - they don't need to worry about
> *understanding* their computer, as long as someone who *appears to
> understand* is handy to ask for help.
> 

> If we pick our targets carefully (not rushing into areas where OS/2
> is weak *at the moment*) we can demonstrate that we get more done in
> a day, with less downtime, and less aggro!
> 
> 
> Best regards
> John Angelico
> OS/2 SIG
> talldadatmelbpc dot org dot au or talldadatkepl dot com dot au

3==============================================

Date: Tue, 22 Jan 2002 07:42:03 +1100
From: Ed Durrant <edurrantatbigpond dot net dot au>
Subject: Re: [os2genau] Tekram controller, IDE hdd  > 528M + SCSI hdd

Having re-read your saga, One point has just stuck in
my mind, you say you have problems when you have a SCSI
card/Disk and an IDE/Disk combination. I hope we're not
simply looking at an IRQ conflict here are we ?? These
cards are probably not Plug and Play, or if they are,
they're no doubt ISA plug and play which is not so great.

Warp 3 was not that good on Plug and Play either. Can you
reserve IRQs for each of the boards in your motherboard
BIOS? and possibly on the Config.sys driver command line ?

The fact that you state that the problem is intermittent
could also point to IRQ / DMA or IO address conflicts.

I once looked at a Tekram cached IDE controller, but it was
expensive at the time and didn't come with OS/2 drivers, so
I decided not to risk it. The concept is very good though a
cached disk controller is definately going to improve overall
system performance. 

Cheers/2
Ed.

Chris_neeson wrote:
> 
> Ed replied some things on the topic.

4==============================================

From: "John Angelico" <talldadatkepl dot com dot au>
Date: Tue, 22 Jan 2002 12:10:13 +1100 (EDT)
Subject: Re: [os2genau] WSOD was If the trumpet gives an uncertain sound, who will prepare for battle?

On Tue, 22 Jan 2002 07:32:42 +1100, Ed Durrant wrote:

>On the ease of support tack, I think we should not forget the
>WSoD version of OS/2 Warp 4 (yes it is still being updated as well).
>
>I think this product gets lost in the "hobby" OS/2 community because
>it needs a server to drive it, but in a commercial (even SOHO)
>environment, it makes a LOT of sense, especially for less experienced
>users.
>
>In short WorkSpace On Demand is OS/2's Thin-Client architecture. OS/2
>Warp Server for e-Business and WSoD on the server and NOTHING on the
>client PCs which can be disked or diskless. The client can have either
>OS/2 Warp 4 or Windoze (NT, W95/98/ME), as they please.

Great Ed. Yes, since I am not operating as a reseller or consultant
at the moment, I had forgotten about WSoD for SOHO.  The comments
were directed more towards the "hobbyists" amongst us, and based on a
comparitve equivalence to the Linux model of the original article.

But can you tell me what a "typical SOHO" (ha! is there any such
thing?) 3-5 station setup would cost in WSoD software? And then a
slightly larger say 8-10 station setup?

How might a developer of say a client/server accounting app deploy it
to workstations running Win? Would he need a Win executable for the
client end, while he retains the DB2/2 and OS/2 executable on the
server?

Could Star-Office (free for personal use but not for corporate) be
deployed in a WSoD environment?

Best regards
John Angelico
OS/2 SIG
talldadatmelbpc dot org dot au or talldadatkepl dot com dot au
--------------------------------------------

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... OS/2: TWICE an operating system, NOT HALF!

5==============================================

Date: Tue, 22 Jan 2002 13:06:38 
From: Voytek Eymont <voytekatsbt dot net dot au>
Subject: [os2genau] Oz callerid, PMFax/voice, Rockwell chipset ???

does any one know:

does Oz Telstra caller-id service works with Rockwell chipset modems and PMFax/Voice ?

('twould be nice to have log of ph #s with voice messages)

(as I do not have caller ID on my line, I can not check myself)

Voytek Eymont
SBT Information Systems Pty Ltd
http://www.sbt dot net dot au/links/
phone +61-2 9310-1144 fax +61-2 9310-1118 

6==============================================

From: <djnatpeninsula.hotkey dot net dot au>
Subject: Re: [os2genau] Air-Boot Advantages and things I have been able to do so far
Date: Sun, 20 Jan 2002 19:56:11 -1000

On Thu, 17 Jan 2002 21:23:36 +1100, Robert Traynor  (BobT) wrote:

Hi Rob

I've seen the messages in the ~prog.misc newsgroup, and there's one 
thing that puzzles me. 
I just can't believe that on an eCS or other system which is NOT 
Multi-Boot, that the Boot Manager is installed.
And if it isn't installed, then why should LVM behave differently when 
BM is installed.
But like you say, I don't have the problem so I havn't given it much 
thought.

Regards
Dennis Nolan.

>Thats good, because I have later on discovered a few issues with eCS/MCP/WSeB, LVM, 
>JFS and BootManager.   The issues are not data destroying and you will not be in 
>any risk area that I can foresee.  And as you personally, are not using eCS or MCP 
>or WSeB then you will never strike them or even be aware that there even are problems.
>
>I am having now to use both BootManager AND Air-Boot. !
>The stupid thing is that I still am booting to eCS with Air-Boot but BM has to be 
>on the disk only so that dumb, stupid LVM can write to it.!  at#$at#at#.!  :(   :(
>
>It seems IBM have made a few assumptions and some strange decisions 
>concerning BM and LVM and also JFS.  Strictly my personal opinion of course.
>
>I will not go into detail yet, but I am hoping the author of Air-Boot will get some
>info and help from a few IBMer's out in the newsgroups.  Unfortunately, he does 
>not have a copy of eCS/MCP/WSeB to play around with LVM, BM and JFS.
>
>He is using Warp 4 and of course it works perfectly with that. As well he uses
>(reluctantly)  windows and also linux of some sort.
> 
>See you end of Feb.
>Regards,
>Robert Traynor (BobT)
>   17 January 2002
>
>
>
>> Regards
>> Dennis
>> Seeya Tuesday?
>
> 
>No.  The next meeting is end of Feb 2002, No meeting in January 2002.
>
>
>
>> >On Mon, 14 Jan 2002 11:09:30 +1100, Robert Traynor  (BobT) wrote:
>> >
>> >Hi All,
>> >
>> >The title says it all.
>> >
>> >This is just a note to inform everyone of the advantages and otherwise of Air-Boot, 
>> >a new Partition and Boot manager that wholly resides in the Master Boot Record
>> >of modern hard drives.
>> >
>> >It will boot any PC operating system currently available and the aim is to make it
>> >flexible to the point where it will be most unlikely to be rendered obsolete by any 
>> >OS in the future.   Air-Boot author, Martin Kiewitz,  hopes Serenity will look at it 
>> >and include it in the eComStation distribution at some later date. 
>> >This would be great. I hate OS/2 BootManager, because it wastes one primary partition.
>> >
>> >
>> >Apart from the authors' web site, these notes are what I have noticed and that appear to ME
>> >to be relevant and important.
>> >
>> >1.  I have booted PcDos7 from the 3rd drive by the simple adjustment of the menu to record a 
>> >preference to ALWAYS boot this partition with NONE of the Preceding primary partitions visible.
>> >
>> >
>> >2. Air-Boot  can boot an eCS/MCP etc, system with NO IBM BootManager at all.!
>> >And if any drive letters have no LVM assignments, then the system is still able to boot
>> >(provided of course that the partition you are booting to, still has its LVM code intact).
>> >
>> >
>> >3.After manipulating partitions with Partition Magic 7.0, all the LVM info was lost on the 
>> >two logical partitions both one manipulated and one created.  And on the Extended partition
>> >as this was resized also.  
>> >Additionally the Win2000 NTFS partition was moved further towards the front of the drive.
>> >
>> >Normally the eCS installation CD is required to boot and reconfigure LVM.  
>> >On _MY_ system (note emphasis please) this is a major problem. eCS reserves drive letters
>> >for the bootable install CD that interfere with already compatible assigned volumes. 
>> >Namely R: and S:.
>> >
>> >I have in the past, turned off my external scsi box and thereby, considerably reduced the 
>> >number of conflicting drive letters.  
>> >To manually change the "Advanced" eCS installation boot CD Menu to use different drive
>> >letters rarely works reliably either.
>> >
>> >To cut to the chase, I am now able to boot directly to my eCS partition, even after PM7 manipulation
>> >of partitions.  Next, I go to the commandline and load LVM.EXE and make the necessary changes.
>> >Reboot.  Now here is the only catch so far. The ONLY thing to date I have found that trashes
>> >Air-Boot in the MBR is...... LVM.!  Not Win2000, Not Win98, Not Os2 FDISK, but LVM.
>> >
>> >For _ME_, this is a lot quicker than booting from a eCS CD disk just to run LVM.
>> >
>> >[I think IBM are finally trying to get back at other operating systems like 
>> >M$ did when installing windows of ANY flavour. :)  ]
>> >
>> >Finally, just put a Air-Boot install disk in the floppy drive and reload Air-Boot.
>> >
>> >Most of the previous Air-Boot settings are still recorded and generally only most settings to
>> >do with the particular hard drive that PM7 manipulated have to be changed.
>> >
>> >
>> >4. With Air-Boot (as I did with PowerBoot) I set a profile that ensures that EVERY time
>> >I boot Win2000 ALL the HPFS os2 partitions are HIDDEN. This means that no 
>> >dummy drives appear in Win2000 which take up drive letters.
>> >These dummy drives, as hpfs, are recognizable to Win2000 as valid partitions,
>> >are assigned drive letters, but are not accessible as Win2000 does not have
>> >HPFS support.  There is always a danger that if the HPFS drive has a drive letter,
>> >then some rogue program (Win2000 or Norton Utilities for two) will try and check 
>> >and "fix" it for you.
>> >
>> >This is a very good way of getting rid of unwanted hpfs partitions.!
>> >
>> >Of course, someone on this list will jump in around now and say that Win2000 can be set to
>> >ignore these HPFS partitions and you can remove the drive letter. ! 
>> >So you can. In fact you have to do BOTH tell Win2000 to ignore the partition AND hide
>> >all HPFS from Win2000.  If you only do one or the other, disaster can strike.
>> >The above is based on MY personal experience. 
>> >
>> >YMMV.  <******************emphasis here.!
>> >
>> >5. The Author of Dfsee partition repair program is aligning his program to include future support
>> >and tools to suit Air-Boot.  Dfsee knowledge is now available for Air-Boot further development.
>> >
>> >
>> >I will advise more mumblings from my corner, as regards Air-Boot, as they arise.
>> >All I can say at this point in time is that Air-Boot works and does what I want.
>> >
>> >Other features that I have yet to test or even turn on are automatic MBR antivirus
>> >removal and automatic recovery of virus infected MBR and other features of Air-Boot.
>> >
>> >Please people have a look at the Air-Boot documentation before jumping in with opinions
>> >or questions. I feel like I am writing a novel here.
>> >
>> >
>> >I hope this answers some of Daryl  Pilkington's queries as well.
>> >
>> >
>> >Regards,
>> >Robert Traynor (BobT)
>> >   14 January 2002
>
>
>   ,-._|\       Robert Traynor        (BobT)
> /  Oz  \      email            rtraynoratnetstra dot com dot au
> \_,--.x/ 
>

7==============================================

From: "Robert Traynor  (BobT)" <rtraynoratoptushome dot com dot au>
Date: Tue, 22 Jan 2002 18:10:02 +1100
Subject: Re: [os2genau] Air-Boot Advantages and things I have been able to do so far

It is even more complicated Dennis, than that.  When I finally
work out the "ifs and whatevers" I will post the details here.

Partition Magic is a slight but definite start to my LVM problems, BootManager
APPEARED to be a problem (but might not be) as LVM beefed about not finding it.

But the main problem APPEARS to be that, if I boot a LVM system without BootManager
(may be WITH too) then sometimes the LVM problems are solved by ONLY running
LVM.EXE from the bootable ecs (MCP) install CD disk and NOT from the hard drive.

That is basically what I have found myself in twice now and I have to retest on another
machine with a more simple hardware configuration to verify. 
That is, a machine with ONLY 2 hard disks.

More much, much later.

Robert Traynor (BobT)
   22 January 2002

On Sun, 20 Jan 2002 19:56:11 -1000, djnatpeninsula.hotkey dot net dot au wrote:

> On Thu, 17 Jan 2002 21:23:36 +1100, Robert Traynor  (BobT) wrote:
> 
> Hi Rob
> 
> I've seen the messages in the ~prog.misc newsgroup, and there's one 
> thing that puzzles me. 
> I just can't believe that on an eCS or other system which is NOT 
> Multi-Boot, that the Boot Manager is installed.
> And if it isn't installed, then why should LVM behave differently when 
> BM is installed.
> But like you say, I don't have the problem so I havn't given it much 
> thought.
> 
> Regards
> Dennis Nolan.
> 
> >Thats good, because I have later on discovered a few issues with eCS/MCP/WSeB, LVM, 
> >JFS and BootManager.   The issues are not data destroying and you will not be in 
> >any risk area that I can foresee.  And as you personally, are not using eCS or MCP 
> >or WSeB then you will never strike them or even be aware that there even are problems.
> >
> >I am having now to use both BootManager AND Air-Boot. !
> >The stupid thing is that I still am booting to eCS with Air-Boot but BM has to be 
> >on the disk only so that dumb, stupid LVM can write to it.!  at#$at#at#.!  :(   :(
> >
> >It seems IBM have made a few assumptions and some strange decisions 
> >concerning BM and LVM and also JFS.  Strictly my personal opinion of course.
> >
> >I will not go into detail yet, but I am hoping the author of Air-Boot will get some
> >info and help from a few IBMer's out in the newsgroups.  Unfortunately, he does 
> >not have a copy of eCS/MCP/WSeB to play around with LVM, BM and JFS.
> >
> >He is using Warp 4 and of course it works perfectly with that. As well he uses
> >(reluctantly)  windows and also linux of some sort.
> > 
> >See you end of Feb.
> >Regards,
> >Robert Traynor (BobT)
> >   17 January 2002
> >
> >
> >
> >> Regards
> >> Dennis
> >> Seeya Tuesday?
> >
> > 
> >No.  The next meeting is end of Feb 2002, No meeting in January 2002.
> >
> >
> >
> >> >On Mon, 14 Jan 2002 11:09:30 +1100, Robert Traynor  (BobT) wrote:
> >> >
> >> >Hi All,
> >> >
> >> >The title says it all.
> >> >
> >> >This is just a note to inform everyone of the advantages and otherwise of Air-Boot, 
> >> >a new Partition and Boot manager that wholly resides in the Master Boot Record
> >> >of modern hard drives.
> >> >
> >> >It will boot any PC operating system currently available and the aim is to make it
> >> >flexible to the point where it will be most unlikely to be rendered obsolete by any 
> >> >OS in the future.   Air-Boot author, Martin Kiewitz,  hopes Serenity will look at it 
> >> >and include it in the eComStation distribution at some later date. 
> >> >This would be great. I hate OS/2 BootManager, because it wastes one primary partition.
> >> >
> >> >
> >> >Apart from the authors' web site, these notes are what I have noticed and that appear to ME
> >> >to be relevant and important.
> >> >
> >> >1.  I have booted PcDos7 from the 3rd drive by the simple adjustment of the menu to record a 
> >> >preference to ALWAYS boot this partition with NONE of the Preceding primary partitions visible.
> >> >
> >> >
> >> >2. Air-Boot  can boot an eCS/MCP etc, system with NO IBM BootManager at all.!
> >> >And if any drive letters have no LVM assignments, then the system is still able to boot
> >> >(provided of course that the partition you are booting to, still has its LVM code intact).
> >> >
> >> >
> >> >3.After manipulating partitions with Partition Magic 7.0, all the LVM info was lost on the 
> >> >two logical partitions both one manipulated and one created.  And on the Extended partition
> >> >as this was resized also.  
> >> >Additionally the Win2000 NTFS partition was moved further towards the front of the drive.
> >> >
> >> >Normally the eCS installation CD is required to boot and reconfigure LVM.  
> >> >On _MY_ system (note emphasis please) this is a major problem. eCS reserves drive letters
> >> >for the bootable install CD that interfere with already compatible assigned volumes. 
> >> >Namely R: and S:.
> >> >
> >> >I have in the past, turned off my external scsi box and thereby, considerably reduced the 
> >> >number of conflicting drive letters.  
> >> >To manually change the "Advanced" eCS installation boot CD Menu to use different drive
> >> >letters rarely works reliably either.
> >> >
> >> >To cut to the chase, I am now able to boot directly to my eCS partition, even after PM7 manipulation
> >> >of partitions.  Next, I go to the commandline and load LVM.EXE and make the necessary changes.
> >> >Reboot.  Now here is the only catch so far. The ONLY thing to date I have found that trashes
> >> >Air-Boot in the MBR is...... LVM.!  Not Win2000, Not Win98, Not Os2 FDISK, but LVM.
> >> >
> >> >For _ME_, this is a lot quicker than booting from a eCS CD disk just to run LVM.
> >> >
> >> >[I think IBM are finally trying to get back at other operating systems like 
> >> >M$ did when installing windows of ANY flavour. :)  ]
> >> >
> >> >Finally, just put a Air-Boot install disk in the floppy drive and reload Air-Boot.
> >> >
> >> >Most of the previous Air-Boot settings are still recorded and generally only most settings to
> >> >do with the particular hard drive that PM7 manipulated have to be changed.
> >> >
> >> >
> >> >4. With Air-Boot (as I did with PowerBoot) I set a profile that ensures that EVERY time
> >> >I boot Win2000 ALL the HPFS os2 partitions are HIDDEN. This means that no 
> >> >dummy drives appear in Win2000 which take up drive letters.
> >> >These dummy drives, as hpfs, are recognizable to Win2000 as valid partitions,
> >> >are assigned drive letters, but are not accessible as Win2000 does not have
> >> >HPFS support.  There is always a danger that if the HPFS drive has a drive letter,
> >> >then some rogue program (Win2000 or Norton Utilities for two) will try and check 
> >> >and "fix" it for you.
> >> >
> >> >This is a very good way of getting rid of unwanted hpfs partitions.!
> >> >
> >> >Of course, someone on this list will jump in around now and say that Win2000 can be set to
> >> >ignore these HPFS partitions and you can remove the drive letter. ! 
> >> >So you can. In fact you have to do BOTH tell Win2000 to ignore the partition AND hide
> >> >all HPFS from Win2000.  If you only do one or the other, disaster can strike.
> >> >The above is based on MY personal experience. 
> >> >
> >> >YMMV.  <******************emphasis here.!
> >> >
> >> >5. The Author of Dfsee partition repair program is aligning his program to include future support
> >> >and tools to suit Air-Boot.  Dfsee knowledge is now available for Air-Boot further development.
> >> >
> >> >
> >> >I will advise more mumblings from my corner, as regards Air-Boot, as they arise.
> >> >All I can say at this point in time is that Air-Boot works and does what I want.
> >> >
> >> >Other features that I have yet to test or even turn on are automatic MBR antivirus
> >> >removal and automatic recovery of virus infected MBR and other features of Air-Boot.
> >> >
> >> >Please people have a look at the Air-Boot documentation before jumping in with opinions
> >> >or questions. I feel like I am writing a novel here.
> >> >
> >> >
> >> >I hope this answers some of Daryl  Pilkington's queries as well.
> >> >
> >> >
> >> >Regards,
> >> >Robert Traynor (BobT)
> >> >   14 January 2002
> >
> >
> >   ,-._|\       Robert Traynor        (BobT)
> > /  Oz  \      email            rtraynoratnetstra dot com dot au
> > \_,--.x/ 

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \      email            rtraynoratnetstra dot com dot au
 \_,--.x/ 

8==============================================

Date: Tue, 22 Jan 2002 20:55:25 +1100
From: Ed Durrant <edurrantatbigpond dot net dot au>
Subject: Re: [os2genau] WSOD was If the trumpet gives an uncertain sound, who will prepare for battle?

Hi John,

  As for pricing, I'm afraid I would't know - if you want to
go the eCS/Wisemanager way, you'll need to contact Mark at
Orion Solutions (Serenity Systems Australian agent). For WSoD
you'll need to contact big blue. I used to have prices but 
they'll probably be no longer valid.

  For me Small Office, is less than 100 users by the way, so 
economy of scale comes in. I'm not sure whether there would
be cost benefits in really small offices of 5 to 10 users.

  The "heart" of WSoD is on the server and is based on top of 
the remote boot capability that OS/2 LAN Server has had for 
years. So you'll need Warp Server for e-Business as a starting
point. Then you'll need to purchase the server-side of WSoD.

  Depending upon what you want to run on the Client-side you'll
need to buy either Windoze licences or OS/2 WSoD Client licences.
If you want to boot Windows, the clients have to have a harddisk
as Windoze cannot swap to a network drive as OS/2 can. The OS/2
WSoD Client PCs can be diskless however if a HD is available it
can be used to cache DLLs etc. which of course gives a performance
benefit. Performance generally is good. Often better than running
the OS native on the PC, once the startup has completed.

  I see no reason why you couldn't run client server with the server
being OS/2 running DB/2 and the clients being WSoD-Windoze. As long
as this configuration works between "real" Windoze Clients and the
OS/2 server, switching to remotely booted windoze PCs should not 
affect the architecture too much.

  By the way, the IBM solution has the advantage over the Serenity
Systems one in so much as it can run on a routed IP network or a
Netbios one. Wise manager can only run on a Netbios network. Also
Wise manager cannot boot Windoze clients yet. Management tools for
Wise Manager are a little simpler to use than the IBM WSoD ones.

  What will be interesting is when Virtual-PC is released. I can be 
run multiple times on the Warp Server Box and each session can have
remote control configured .....  So diskless OS/2 WSoD boxes, remotely
controlling one of the Virtual PC sessions, gives you OS/2 and Win32
Apps accessible from the client machines .....

  If you're looking for an example of WSoD in operation, check out 
VIC Roads offices with the IBM Network Station 2800's .....

Cheers/2

Ed.

John Angelico wrote:
> 
> On Tue, 22 Jan 2002 07:32:42 +1100, Ed Durrant wrote:
> 
> >On the ease of support tack, I think we should not forget the
> >WSoD version of OS/2 Warp 4 (yes it is still being updated as well).
> >
> >I think this product gets lost in the "hobby" OS/2 community because
> >it needs a server to drive it, but in a commercial (even SOHO)
> >environment, it makes a LOT of sense, especially for less experienced
> >users.
> >
> >In short WorkSpace On Demand is OS/2's Thin-Client architecture. OS/2
> >Warp Server for e-Business and WSoD on the server and NOTHING on the
> >client PCs which can be disked or diskless. The client can have either
> >OS/2 Warp 4 or Windoze (NT, W95/98/ME), as they please.
> 
> Great Ed. Yes, since I am not operating as a reseller or consultant
> at the moment, I had forgotten about WSoD for SOHO.  The comments
> were directed more towards the "hobbyists" amongst us, and based on a
> comparitve equivalence to the Linux model of the original article.
> 
> But can you tell me what a "typical SOHO" (ha! is there any such
> thing?) 3-5 station setup would cost in WSoD software? And then a
> slightly larger say 8-10 station setup?
> 
> How might a developer of say a client/server accounting app deploy it
> to workstations running Win? Would he need a Win executable for the
> client end, while he retains the DB2/2 and OS/2 executable on the
> server?
> 
> Could Star-Office (free for personal use but not for corporate) be
> deployed in a WSoD environment?
> 
> Best regards
> John Angelico
> OS/2 SIG
> talldadatmelbpc dot org dot au or talldadatkepl dot com dot au
> --------------------------------------------
> 
> PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
> ... OS/2: TWICE an operating system, NOT HALF!
> 

9==============================================

From: "David Forrester" <davidforatterrigal dot net dot au>
Date: Tue, 22 Jan 2002 21:18:47 +1100 (EDT)
Subject: Re: [os2genau] Warpzilla pluginsANTAS

Most of the plugins will probably be in your Netscape plugins
directory, but have a look at
http://www.os2bbs dot com/os2news/Warpzilla.html for details of what works.

On Mon, 21 Jan 2002 20:36:12 -0500 (EST), amoht wrote:

>Hi,
>
>Could someone advise me where I can download the plugins for Warpzilla from?
>When trying to access a site, a messge flashed up that the program needed the plugins to be installed and 
>said that they could be downloaded from http:// www dot netscape  dot com.
>Well I went to that site and it was just the front page of Netscape with all news items and a site to download 
>Netscape for Windows. I couldn't see any place wher plugins could be downloaded.
>
>Also at another site I tried to open  a pdf file but it couldn't be opened in Acrobat reader so had to go to 
>windows and after logging on the site was able to open the file in Acrobat reader in Windows. 
>This is a problem as Acrobat reader for os/2 is not being updated. 
>How do the os/2 users get around this ?
>
>Some sites take ages to open with Netscape and are somewhat faster in Warpzilla but faster still with 
>Windows Internet explorer.  e.g try making a booking with QANTAS. Bill Gates is making it more and more 
>difficult for us.
>
>
>Alan Duval   <amohtatozemail dot com dot au>
>
>

--
David Forrester
davidforatterrigal dot net dot au
http://www.os2world dot com/djfos2/